%define upstream_name	 Algorithm-Cluster
%define upstream_version 1.59

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7
Summary:    Perl interface to Michiel Jan Laurens de Hoon's C clustering library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Algorithm-Cluster-1.52-fPIC.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
This module is an interface to the C Clustering Library, a general purpose
library implementing functions for hierarchical clustering (pairwise simple,
complete, average, and centroid linkage), along with k-means and k-medians
clustering, and 2D self-organizing maps. The library is distributed along with
Cluster 3.0, an enhanced version of the famous Cluster program originally
written by Michael Eisen while at Stanford University. The C clustering library
was written by Michiel de Hoon.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 's|^#!/usr/perl/perl580/bin/perl|#!/usr/bin/perl|' perl/examples/*
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%install
%make_install

%check
make test

%files
%doc INSTALL META.json META.yml MYMETA.yml README
%{perl_vendorarch}/Algorithm
%{perl_vendorarch}/auto/Algorithm
%{_mandir}/*/*


%changelog
* Thu Nov 30 2023 tv <tv> 1.590.0-7.mga10
+ Revision: 2011553
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 1.590.0-6.mga9
+ Revision: 1861524
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.590.0-5.mga9
+ Revision: 1795461
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.590.0-4.mga9
+ Revision: 1726383
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.590.0-3.mga8
+ Revision: 1594239
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.590.0-2.mga8
+ Revision: 1530516
- Mageia 8 Mass Rebuild

* Sat Aug 31 2019 tv <tv> 1.590.0-1.mga8
+ Revision: 1435852
- update to 1.59

* Tue Aug 27 2019 tmb <tmb> 1.580.0-2.mga8
+ Revision: 1433322
- rebuild for perl 5.30

* Sat Jun 29 2019 shlomif <shlomif> 1.580.0-1.mga8
+ Revision: 1415423
- update to 1.58

* Fri Nov 23 2018 tv <tv> 1.570.0-1.mga7
+ Revision: 1333514
- update to 1.57

* Thu Sep 20 2018 umeabot <umeabot> 1.560.0-3.mga7
+ Revision: 1290276
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 pterjan <pterjan> 1.560.0-2.mga7
+ Revision: 1248939
- Rebuild for perl 5.28

* Sat May 05 2018 shlomif <shlomif> 1.560.0-1.mga7
+ Revision: 1226386
- update to 1.56

* Mon Oct 02 2017 tv <tv> 1.530.0-2.mga7
+ Revision: 1162769
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 guillomovitch <guillomovitch> 1.530.0-1.mga7
+ Revision: 1156025
- new version 1.53

* Thu Aug 31 2017 pterjan <pterjan> 1.520.0-11.mga7
+ Revision: 1148635
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.520.0-10.mga7
+ Revision: 1126611
- Rebuild against new Perl 5.26

* Wed Jun 22 2016 pterjan <pterjan> 1.520.0-9.mga6
+ Revision: 1037150
- Use -fPIC even if not on 64bit arch

* Sat Jun 18 2016 pterjan <pterjan> 1.520.0-8.mga6
+ Revision: 1022240
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.520.0-7.mga6
+ Revision: 956645
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 1.520.0-6.mga6
+ Revision: 844181
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.520.0-5.mga5
+ Revision: 741517
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.520.0-4.mga5
+ Revision: 683438
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.520.0-3.mga5
+ Revision: 630785
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.520.0-2.mga4
+ Revision: 531461
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 sander85 <sander85> 1.520.0-1.mga4
+ Revision: 463470
- update to 1.52

* Wed May 29 2013 jquelin <jquelin> 1.500.0-5.mga4
+ Revision: 430541
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.500.0-4.mga3
+ Revision: 362846
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.500.0-3.mga3
+ Revision: 250257
- rebuild for perl 5.16

* Sat Jun 11 2011 jquelin <jquelin> 1.500.0-2.mga2
+ Revision: 103444
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.500.0-1.mga1
+ Revision: 29773
- mageia rebuild
- imported package perl-Algorithm-Cluster

